import { type IMonths } from "@leight/calendar";
import { DateTime } from "@leight/i18n";
import { type IStoreProps } from "@leight/zustand";
import { type ComponentProps, type FC } from "react";
export type IMonthsStoreStoreProps = IStoreProps<{
    /**
     * Set months of the given date
     */
    monthsOf(date: DateTime): void;
    /**
     * Move to the current month
     */
    today(): void;
    prevYear(): void;
    nextYear(): void;
}, {
    /**
     * Calendar is computed based on an input, so it cannot be required
     * in the time of store creation.
     */
    readonly months: IMonths;
}>;
export declare const MonthsOfStore: import("@leight/context-client").ICrateStoreContext<IMonthsStoreStoreProps>;
export interface IMonthsOfProviderProps extends Omit<ComponentProps<typeof MonthsOfStore["Provider"]>, "state"> {
    date?: DateTime;
}
export declare const MonthsOfProvider: FC<IMonthsOfProviderProps>;
//# sourceMappingURL=MonthsOfStore.d.ts.map