import { type IYears } from "@leight/calendar";
import { DateTime } from "@leight/i18n";
import { type IStoreProps } from "@leight/zustand";
import { type ComponentProps, type FC } from "react";
export type IYearsStoreStoreProps = IStoreProps<{
    /**
     * Set years of the given date
     */
    yearsOf(date: DateTime): void;
    /**
     * Move to the current year
     */
    today(): void;
    /**
     * Move to the previous year (floating years)
     */
    prevYear(): void;
    /**
     * Move to the next year (floating years)
     */
    nextYear(): void;
    /**
     * Move to the previous "page" of years
     */
    prevYears(): void;
    /**
     * Move to the next "page" of years
     */
    nextYears(): void;
}, {
    /**
     * Calendar is computed based on an input, so it cannot be required
     * in the time of store creation.
     */
    readonly years: IYears;
}>;
export declare const YearsOfStore: import("@leight/context-client").ICrateStoreContext<IYearsStoreStoreProps>;
export interface IYearsOfProviderProps extends Omit<ComponentProps<typeof YearsOfStore["Provider"]>, "state"> {
    date?: DateTime;
}
export declare const YearsOfProvider: FC<IYearsOfProviderProps>;
//# sourceMappingURL=years.d.ts.map